View Issue Details

IDProjectCategoryView StatusLast Update
0027799LazarusWidgetsetpublic2016-12-24 20:34
ReporterAlexey Tor.Assigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOS10.8OS Version
Product Version1.4RC2Product Build 
Target Version1.6.2Fixed in Version1.6.2 
Summary0027799: Mac Listbox don't support ItemHeight, please document as "restricted"
DescriptionImg files. Demo file too. Mac shows usual itemheight while Win shows ok big one
TagsNo tags attached.
Fixed in Revisionr51847
LazTarget1.6.2
Widgetset
Attached Files
  • demo_listbox_draw.zip (3,006 bytes)
  • Win.png (5,872 bytes)
    Win.png (5,872 bytes)
  • MAC.png (7,916 bytes)
    MAC.png (7,916 bytes)
  • xml1.diff (746 bytes)
    Index: lcl/interfaces/carbon/issues.xml
    ===================================================================
    --- lcl/interfaces/carbon/issues.xml	(revision 51640)
    +++ lcl/interfaces/carbon/issues.xml	(working copy)
    @@ -68,8 +68,11 @@
     			<short>Memo WordWrap property when is disabled, does not allow to scroll text horizontally</short>
     		</issue>
     		<issue name="TListBox.Columns">
    -			<short>List box Columns property is not supported</short>
    +			<short>Listbox Columns property is not supported</short>
     		</issue>
    +		<issue name="TListBox.ItemHeight">
    +			<short>Listbox ItemHeight property is not supported</short>
    +		</issue>
     		<issue name="TCheckBox.Alignment">
     			<short>CheckBox Alignment property is not supported</short>
     		</issue>
    
    xml1.diff (746 bytes)

Relationships

related to 0030497 resolvedFelipe Monteiro de Carvalho [PATCH] Fix: TListBox.ItemHeight does not work on Mac / Carbon 

Activities

Alexey Tor.

2015-04-07 02:00

reporter  

demo_listbox_draw.zip (3,006 bytes)

Alexey Tor.

2015-04-07 02:01

reporter  

Win.png (5,872 bytes)
Win.png (5,872 bytes)

Alexey Tor.

2015-04-07 02:01

reporter  

MAC.png (7,916 bytes)
MAC.png (7,916 bytes)

Juha Manninen

2015-12-25 17:42

developer   ~0088237

A patch please.

Bart Broersma

2016-02-16 18:55

developer   ~0090077

Is that carbon orcocoa widgetset?
You can simply add an item to the issues.xml file in the appropriate WS folder and post the patch here.

Alexey Tor.

2016-02-16 19:24

reporter   ~0090079

I post small xml patch.Not sure how, but ItemHeight shown as restricted in OI. Maybe not me affected it. Solved.

Alexey Tor.

2016-02-16 19:25

reporter  

xml1.diff (746 bytes)
Index: lcl/interfaces/carbon/issues.xml
===================================================================
--- lcl/interfaces/carbon/issues.xml	(revision 51640)
+++ lcl/interfaces/carbon/issues.xml	(working copy)
@@ -68,8 +68,11 @@
 			<short>Memo WordWrap property when is disabled, does not allow to scroll text horizontally</short>
 		</issue>
 		<issue name="TListBox.Columns">
-			<short>List box Columns property is not supported</short>
+			<short>Listbox Columns property is not supported</short>
 		</issue>
+		<issue name="TListBox.ItemHeight">
+			<short>Listbox ItemHeight property is not supported</short>
+		</issue>
 		<issue name="TCheckBox.Alignment">
 			<short>CheckBox Alignment property is not supported</short>
 		</issue>
xml1.diff (746 bytes)

Bart Broersma

2016-03-07 15:11

developer   ~0090730

Apllied, thanks.

Juha Manninen

2016-12-23 13:13

developer   ~0097028

If the related issue patch is applied, this one must be reverted.

Felipe Monteiro de Carvalho

2016-12-23 20:39

developer   ~0097056

Yes, please revert.

Bart Broersma

2016-12-23 23:03

developer   ~0097058

Revert for trunk or for 1.6 fixes branch too?
The related report does not specify the "fixed in version" field.

Issue History

Date Modified Username Field Change
2015-04-07 02:00 Alexey Tor. New Issue
2015-04-07 02:00 Alexey Tor. File Added: demo_listbox_draw.zip
2015-04-07 02:01 Alexey Tor. File Added: Win.png
2015-04-07 02:01 Alexey Tor. File Added: MAC.png
2015-12-25 17:42 Juha Manninen Note Added: 0088237
2016-02-16 18:55 Bart Broersma Note Added: 0090077
2016-02-16 19:24 Alexey Tor. Note Added: 0090079
2016-02-16 19:25 Alexey Tor. File Added: xml1.diff
2016-03-07 15:11 Bart Broersma Fixed in Revision => r51847
2016-03-07 15:11 Bart Broersma LazTarget => 1.6.2
2016-03-07 15:11 Bart Broersma Note Added: 0090730
2016-03-07 15:11 Bart Broersma Status new => resolved
2016-03-07 15:11 Bart Broersma Fixed in Version => 1.6.2
2016-03-07 15:11 Bart Broersma Resolution open => fixed
2016-03-07 15:11 Bart Broersma Assigned To => Bart Broersma
2016-03-07 15:11 Bart Broersma Target Version => 1.6.2
2016-08-21 17:50 Juha Manninen Relationship added related to 0030497
2016-12-23 13:13 Juha Manninen Note Added: 0097028
2016-12-23 13:13 Juha Manninen Status resolved => assigned
2016-12-23 13:13 Juha Manninen Resolution fixed => reopened
2016-12-23 20:39 Felipe Monteiro de Carvalho Note Added: 0097056
2016-12-23 23:03 Bart Broersma Note Added: 0097058
2016-12-24 16:52 Bart Broersma Status assigned => resolved
2016-12-24 16:52 Bart Broersma Resolution reopened => fixed
2016-12-24 20:34 Alexey Tor. Status resolved => closed